Skip to main content
GET
Get Market Volume Time Series
Fetch historical cumulative trading volume for a token.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.

Authorizations

x-api-key
string
header
required

Path Parameters

token_id
string
required

Token ID for the market

Query Parameters

granularity
enum<string>
default:day

Time granularity

Available options:
day,
week,
month,
year,
all
start_time
integer | null

Unix timestamp (seconds) for start

Required range: x >= 0
end_time
integer | null

Unix timestamp (seconds) for end

Required range: x >= 0

Response

Successful Response

Market volume time series endpoint response.

token_id
string
required
granularity
enum<string>
required

PnL granularity enum.

Available options:
day,
week,
month,
year,
all
start_time
integer
required
end_time
integer
required
volume_over_time
VolumeDataPoint · object[]
required